﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.tChart1.BackColor = Color.FromName(System.Drawing.KnownColor.Control.ToString());
            this.tChart1.Panel.Transparent = false;
            this.tChart1.Panel.Color = Color.FromName(System.Drawing.KnownColor.Control.ToString());
            this.tChart1.Panel.Brush.Gradient.Visible = false;
            this.tChart1.Aspect.View3D = false;
            this.tChart1.Legend.Visible = false;
            this.tChart1.Legend.CheckBoxes = false;
            this.tChart1.Legend.Font.Name = "Courier New";
            this.tChart1.Legend.TopLeftPos = 0;
            this.tChart1.Legend.TextSymbolGap = 2;
            this.tChart1.Legend.Symbol.Width = 30;
            this.tChart1.Legend.LegendStyle = Steema.TeeChart.LegendStyles.Series;
            this.tChart1.Legend.Alignment = Steema.TeeChart.LegendAlignments.Bottom;
            this.tChart1.Legend.Symbol.Position = Steema.TeeChart.LegendSymbolPosition.Right;
            this.tChart1.Legend.Shadow.Visible = false;
            this.tChart1.Legend.Transparent = true;
            this.tChart1.Header.Visible = true;
            this.tChart1.Header.Font.Size = 8;
            this.tChart1.Header.Font.Bold = true;
            this.tChart1.Header.Font.Underline = true;
            this.tChart1.Header.Font.Brush.Color = Color.Navy;
            this.tChart1.Header.Text = "Spectrum";
            this.tChart1.Header.Color = System.Drawing.Color.Navy;
            this.tChart1.SubHeader.Visible = false;
            this.tChart1.SubHeader.Text = "";
            this.tChart1.SubHeader.Font.Color = System.Drawing.Color.Navy;
            this.tChart1.Zoom.Allow = true;
            this.tChart1.Zoom.MouseButton = MouseButtons.Left;
            this.tChart1.Zoom.Direction = Steema.TeeChart.ZoomDirections.Horizontal;
            this.tChart1.Zoom.Pen.Color = Color.Yellow;
            this.tChart1.Zoom.Pen.Width = 1;
            this.tChart1.Panning.Allow = Steema.TeeChart.ScrollModes.Vertical;
            this.tChart1.Panning.MouseButton = MouseButtons.Right;

            this.tChart2.BackColor = Color.FromName(System.Drawing.KnownColor.Control.ToString());
            this.tChart2.Panel.Transparent = false;
            this.tChart2.Panel.Color = Color.FromName(System.Drawing.KnownColor.Control.ToString());
            this.tChart2.Panel.Brush.Gradient.Visible = false;
            this.tChart2.Aspect.View3D = false;
            this.tChart2.Legend.Visible = true;
            this.tChart2.Legend.Font.Name = "Courier New";
            this.tChart2.Legend.TopLeftPos = 0;
            this.tChart2.Legend.TextSymbolGap = 2;
            this.tChart2.Legend.LegendStyle = Steema.TeeChart.LegendStyles.Series;
            this.tChart2.Legend.Alignment = Steema.TeeChart.LegendAlignments.Bottom;
            this.tChart2.Legend.Symbol.Position = Steema.TeeChart.LegendSymbolPosition.Right;
            this.tChart2.Legend.Shadow.Visible = false;
            this.tChart2.Legend.Transparent = true;
            this.tChart2.Header.Visible = true;
            this.tChart2.Header.Font.Size = 8;
            this.tChart2.Header.Font.Bold = true;
            this.tChart2.Header.Font.Underline = true;
            this.tChart2.Header.Font.Brush.Color = Color.Navy;
            this.tChart2.Header.Text = "M.O.E.'s";
            this.tChart2.Header.Color = System.Drawing.Color.Navy;
            this.tChart2.SubHeader.Visible = false;
            this.tChart2.SubHeader.Text = "";
            this.tChart2.SubHeader.Font.Color = System.Drawing.Color.Navy;
            this.tChart2.Zoom.Allow = true;
            this.tChart2.Zoom.Direction = Steema.TeeChart.ZoomDirections.Horizontal;
            this.tChart2.Zoom.Pen.Color = Color.Yellow;
            this.tChart2.Zoom.Pen.Width = 1;
            this.tChart2.Panning.Allow = Steema.TeeChart.ScrollModes.Vertical;

            this.tChart1.Walls.Back.Color = Color.Black;
            this.tChart1.Walls.Back.Transparent = false;
            this.tChart1.Walls.Back.Brush.Gradient.Visible = false;
            this.tChart1.Axes.Left.Visible = true;
            this.tChart1.Axes.Left.Automatic = false;
            this.tChart1.Axes.Left.Maximum = -20;
            this.tChart1.Axes.Left.Minimum = -120;
            this.tChart1.Axes.Left.Labels.Font.Size = 7;
            this.tChart1.Axes.Left.Title.Font.Size = 7;
            this.tChart1.Axes.Left.Title.Font.Bold = true;
            this.tChart1.Axes.Left.Title.Text = "AMPLITUDE (dBm)";
            this.tChart1.Axes.Right.Visible = true;
            this.tChart1.Axes.Right.Automatic = false;
            this.tChart1.Axes.Right.Maximum = -20;
            this.tChart1.Axes.Right.Minimum = -120;
            this.tChart1.Axes.Right.Labels.Font.Size = 7;
            this.tChart1.Axes.Right.Title.Font.Size = 7;
            this.tChart1.Axes.Right.Title.Font.Bold = true;
            this.tChart1.Axes.Right.Title.Text = "AMPLITUDE (dBm)";
            this.tChart1.Axes.Bottom.Labels.Font.Size = 7;
            this.tChart1.Axes.Bottom.Labels.Angle = 0;
            this.tChart1.Axes.Bottom.Title.Font.Size = 7;
            this.tChart1.Axes.Bottom.Title.Font.Bold = true;
            this.tChart1.Axes.Bottom.Title.Text = "FREQUENCY (MHz)";

            this.tChart2.Walls.Back.Color = Color.Black;
            this.tChart2.Walls.Back.Transparent = false;
            this.tChart2.Walls.Back.Brush.Gradient.Visible = false;
            this.tChart2.Axes.Left.Visible = true;
            this.tChart2.Axes.Left.Automatic = false;
            this.tChart2.Axes.Left.Maximum = 100;
            this.tChart2.Axes.Left.Minimum = 0;
            this.tChart2.Axes.Left.Labels.Font.Size = 7;
            this.tChart2.Axes.Left.Title.Font.Size = 7;
            this.tChart2.Axes.Left.Title.Font.Bold = true;
            this.tChart2.Axes.Left.Title.Text = "BIE/EVM (%)";
            this.tChart2.Axes.Right.Visible = true;
            this.tChart2.Axes.Right.Automatic = false;
            this.tChart2.Axes.Right.Maximum = -20;
            this.tChart2.Axes.Right.Minimum = -120;
            this.tChart2.Axes.Right.Labels.Font.Size = 7;
            this.tChart2.Axes.Right.Title.Font.Size = 7;
            this.tChart2.Axes.Right.Title.Font.Bold = true;
            this.tChart2.Axes.Right.Title.Text = "POWER (dBm)";
            this.tChart2.Axes.Bottom.Labels.Font.Size = 7;
            this.tChart2.Axes.Bottom.Labels.Angle = 0;
            this.tChart2.Axes.Bottom.Labels.DateTimeFormat = "HH:mm:ss";
            this.tChart2.Axes.Bottom.Title.Font.Size = 7;
            this.tChart2.Axes.Bottom.Title.Font.Bold = true;
            this.tChart2.Axes.Bottom.Title.Text = "TIME (HH:mm:ss)";

            this.fastLineSpectrum.Title = "DBM";
            this.fastLineSpectrum.VertAxis = Steema.TeeChart.Styles.VerticalAxis.Both;
            this.fastLineSpectrum.ShowInLegend = false;
            this.fastLineSpectrum.DrawAllPoints = true;
            this.fastLineSpectrum.FillSampleValues(1000);

            this.fastLineBie.Title = "BIE";
            this.fastLineBie.VertAxis = Steema.TeeChart.Styles.VerticalAxis.Left;
            this.fastLineBie.ShowInLegend = true;
            this.fastLineBie.DrawAllPoints = true;
            this.fastLineBie.FillSampleValues(500);

            this.fastLineEvm.Title = "EVM";
            this.fastLineEvm.VertAxis = Steema.TeeChart.Styles.VerticalAxis.Left;
            this.fastLineEvm.ShowInLegend = true;
            this.fastLineEvm.DrawAllPoints = true;
            this.fastLineEvm.FillSampleValues(500);

            this.fastLinePwr.Title = "PWR";
            this.fastLinePwr.VertAxis = Steema.TeeChart.Styles.VerticalAxis.Right;
            this.fastLinePwr.ShowInLegend = true;
            this.fastLinePwr.DrawAllPoints = true;
            this.fastLinePwr.FillSampleValues(500);

            this.annotationToolBandPwr.Active = true;
            this.annotationToolBandPwr.TextAlign = StringAlignment.Near;
            this.annotationToolBandPwr.ClipText = false;
            this.annotationToolBandPwr.Shape.Font.Color = Color.Navy;
            this.annotationToolBandPwr.Shape.Font.Size = 7;
            this.annotationToolBandPwr.Shape.Font.Name = "Verdana";
            this.annotationToolBandPwr.Shape.Transparent = true;
            this.annotationToolBandPwr.Left = 60;
            this.annotationToolBandPwr.Top = 5;
            this.annotationToolBandPwr.Text = "Last Band Pwr= -.-dBm";

            this.annotationMarkerValue.Active = true;
            this.annotationMarkerValue.TextAlign = StringAlignment.Near;
            this.annotationMarkerValue.ClipText = false;
            this.annotationMarkerValue.Shape.Font.Color = Color.Navy;
            this.annotationMarkerValue.Shape.Font.Size = 7;
            this.annotationMarkerValue.Shape.Font.Name = "Verdana";
            this.annotationMarkerValue.Shape.Transparent = true;
            this.annotationMarkerValue.Position = Steema.TeeChart.Tools.AnnotationPositions.RightTop;
            //this.annotationMarkerValue.Left = 450;
            //this.annotationMarkerValue.Top = 5;
            this.annotationMarkerValue.Text = "M1= -.-------MHz";

            this.annotationToolEvm.Active = true;
            this.annotationToolEvm.TextAlign = StringAlignment.Near;
            this.annotationToolEvm.ClipText = false;
            this.annotationToolEvm.Shape.Font.Color = Color.Navy;
            this.annotationToolEvm.Shape.Font.Size = 7;
            this.annotationToolEvm.Shape.Font.Name = "Verdana";
            this.annotationToolEvm.Shape.Transparent = true;
            this.annotationToolEvm.Left = 60;
            this.annotationToolEvm.Top = 5;
            this.annotationToolEvm.Text = "Last EVM= -.-%";

            this.annotationToolBie.Active = true;
            this.annotationToolBie.TextAlign = StringAlignment.Near;
            this.annotationToolBie.ClipText = false;
            this.annotationToolBie.Shape.Font.Color = Color.Navy;
            this.annotationToolBie.Shape.Font.Size = 7;
            this.annotationToolBie.Shape.Font.Name = "Verdana";
            this.annotationToolBie.Shape.Transparent = true;
            this.annotationToolBie.Left = 60;
            this.annotationToolBie.Top = 15;
            this.annotationToolBie.Text = "Last BIE= -.-%";

            this.annotationToolCie.Active = true;
            this.annotationToolCie.TextAlign = StringAlignment.Near;
            this.annotationToolCie.ClipText = false;
            this.annotationToolCie.Shape.Font.Color = Color.Navy;
            this.annotationToolCie.Shape.Font.Size = 7;
            this.annotationToolCie.Shape.Font.Name = "Verdana";
            this.annotationToolCie.Shape.Transparent = true;
            this.annotationToolCie.Position = Steema.TeeChart.Tools.AnnotationPositions.RightTop;
            //this.annotationToolCie.Left = this.tChart2.Width;
            //this.annotationToolCie.Top = 5;
            this.annotationToolCie.Text = "Last CIE= -.-%";

            this.cursorToolSpectrum.Active = true;
            this.cursorToolSpectrum.Pen.Color = Color.LightSalmon;
            this.cursorToolSpectrum.Pen.Width = 4;
            this.cursorToolSpectrum.Pen.Transparency = 20;
            this.cursorToolSpectrum.Pen.Style = System.Drawing.Drawing2D.DashStyle.DashDot;
            this.cursorToolSpectrum.Series = this.fastLineSpectrum;
            this.cursorToolSpectrum.Snap = false;

            this.colorLineMoeAlarm.Active = true;
            this.colorLineMoeAlarm.DrawBehind = true;
            this.colorLineMoeAlarm.Pen.Color = Color.LightYellow;
            this.colorLineMoeAlarm.Pen.Width = 3;
            this.colorLineMoeAlarm.Pen.Style = System.Drawing.Drawing2D.DashStyle.Dash;

            this.fastLineBie.XValues.DateTime = true;
            this.fastLineEvm.XValues.DateTime = true;
            this.fastLinePwr.XValues.DateTime = true;
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void toolStripMenuItem1_Click(object sender, EventArgs e)
        {
            //Save BIE/EVM/PWR graph picture
            this.tChart2.Focus();
            this.tChart2.BackColor = Color.White;
            this.tChart2.Panel.Visible = true;
            this.tChart2.Panel.Color = Color.White;
            this.tChart2.Panel.Transparency = 0;
            this.tChart2.Panel.Brush.Gradient.Visible = false;
            this.tChart2.Panel.Brush.Solid = true;
            this.tChart2.Walls.Back.Color = Color.White;
            this.tChart2.Walls.Back.Transparent = false;
            this.tChart2.Walls.Back.Brush.Gradient.Visible = false;
            this.tChart2.Export.Image.JPEG.Quality = 95;
            this.tChart2.Refresh();
            this.Refresh();

            this.tChart2.Export.Image.JPEG.Save(Application.StartupPath + "\\test.jpg");

            this.tChart2.BackColor = Color.Transparent;
            this.tChart2.Panel.Color = Color.FromName(System.Drawing.KnownColor.Control.ToString());
            this.tChart2.Walls.Back.Color = Color.Black;
            this.tChart2.Walls.Back.Transparent = false;
            this.tChart2.Walls.Back.Brush.Gradient.Visible = false;
            this.tChart2.Refresh();
            this.Refresh();
        }
    }
}
